import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';

@Entity()
export class Tweet {
  @PrimaryGeneratedColumn()
  id!: number;

  @Column({ type: 'text', unique: true, nullable: true })
  url!: string | null;

  @Column({ unique: true })
  transactionSignature!: string;

  @Column({ type: 'boolean',  nullable: true })
  isLockCreated!: boolean | null;

  @Column({ type: 'text', unique: true, nullable: true })
  lockEscrow!: string | null;
}
